> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Creating a customer



## OpenAPI

````yaml /openapi/collections.json post /merchant/create-customer
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/create-customer:
    post:
      tags:
        - ''
      summary: Create Customer
      description: Creating a customer
      operationId: Create customer
      requestBody:
        description: Customer details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomer'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomerResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CreateCustomer:
      required:
        - first_name
        - last_name
        - middle_name
        - dob
        - id_document_base64
        - kyc_details
        - sum_sub
      type: object
      properties:
        first_name:
          type: string
          example: Kingsley
        last_name:
          type: string
          example: Doe
        middle_name:
          type: string
          example: Doe
        sum_sub:
          type: object
          additionalProperties:
            type: string
          example:
            userProvidedKey: userProvidedValue
        dob:
          type: string
          example: '1981-10-22'
        id_document_base64:
          type: string
          description: max 5mb
          example: >-
            AMTQA2iiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigAooooAKKKKACiiigD/2Q==
        kyc_details:
          type: object
          required:
            - phone_no
            - country_of_residence
            - nationality
            - city
            - state
            - street
            - zip
            - birth_place
            - id_type
            - id_number
            - date_onboarded
            - expiration_date
            - issued_date
            - issued_by
            - issued_country_code
          properties:
            tax_residency:
              type: string
            phone_no:
              type: string
              example: '+23313405943'
            country_of_residence:
              type: string
              example: NG
            nationality:
              type: string
              example: NG
            city:
              type: string
              example: lagos
            state:
              type: string
              example: lagos
            street:
              type: string
              example: no 1 Kings Street
            zip:
              type: string
              example: '120039'
            birth_place:
              type: string
              example: Victoria, NG
            id_type:
              type: string
              example: national_id
              description: '[idCard, passport, driverLicense, other'
            id_number:
              type: string
              example: '1111222000'
            date_onboarded:
              type: string
              example: '2025-01-21'
              format: date
              description: YYYY-MM-DD
            expiration_date:
              type: string
              example: '2025-01-21'
              format: date
              description: YYYY-MM-DD
            issued_date:
              type: string
              example: 21.10.2021
              description: format DD.MM.YYYY
            issued_by:
              type: string
              example: NG
            issued_country_code:
              type: string
              example: NG
    CreateCustomerResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Payer created successfully
        payerId:
          type: string
          example: ehuf-47a1-89gg6-460bf99bd
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.